﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Attendance
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <fieldset>

        <table class="table table-striped">

            <thead>
                <tr role="row">
                    <th class="text-left">Full name</th>
                    <th style="width: 200px">Absent</th>
                    <th style="width: 200px">Late</th>
                    <th style="width: 200px">Present</th>
                </tr>
            </thead>

            <tbody>
                <tr ng-repeat="attendance in Model" role="row">
                    <td>{{attendance.FullName}}</td>
                    <td class="text-center">
                        <input ng-model="attendance.Status" value="Absent" name="Option_{{attendance.ProfileId}}" type="radio" />
                    </td>
                    <td class="text-center">
                        <input ng-model="attendance.Status" value="Late" name="Option_{{attendance.ProfileId}}" type="radio" />
                    </td>
                    <td class="text-center">
                        <input ng-model="attendance.Status" value="Present" name="Option_{{attendance.ProfileId}}" type="radio" />
                    </td>
                </tr>
            </tbody>
        </table>

        <hr />
        <button class="success large place-right" ng-click="submitAttendance()">Submit</button>

        <a class="place-left button link large" ui-sref='ProgramSession({seasonDomain: MC.stateParams.seasonDomain, programId: MC.stateParams.programId})'>Cancel</a>

        <div class="clearfix"></div>
    </fieldset>
</div>
